> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tallentu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Etapa

Move o candidato para uma nova etapa no processo seletivo.

## Path Parameters

<ParamField path="id" type="string" required>
  O ID da vaga.
</ParamField>

<ParamField path="candidate_id" type="string" required>
  O ID do candidato
</ParamField>

## Body

<ParamField body="stage_id" type="string" required>
  O ID da nova etapa.
</ParamField>

<ParamField body="note" type="string">
  Uma nota opcional sobre a mudança de etapa.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indica se a operação foi bem sucedida.
</ResponseField>

<RequestExample>
  ```bash Curl theme={null}
  curl -X PATCH "https://api.tallentu.com/v1/jobs/job_123/applications/user_123/stage" \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
      "stage_id": "col_456",
      "note": "Promovido para entrevista técnica"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>
